Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.grizzly
Class JettyProcessorTask

    java.lang.Object
      TaskBase
          org.mortbay.jetty.grizzly.JettyProcessorTask

    public class JettyProcessorTask

extends TaskBase

Delegate the processing of the request to a `GrizzlyEndPoint`

Author:
  Jeanfrancois Arcand

Constructor Summary
`JettyProcessorTask()`

Method Summary
`void` | `doTask()`
`int` | `getBufferSize()`
`boolean` | `getDropConnection()`
`Handler` | `getHandler()`
`int` | `getMaxPostSize()`
`String` | `getRequestURI()`
`long` | `getWorkerThreadID()`
`void` | `initialize()`
`void` | `invokeAdapter()`
`boolean` | `isError()`
`boolean` | `isKeepAlive()`
`void` | `parseRequest()`
`boolean` | `parseRequest(AbstractSelectableChannel channel, boolean keptAlive)`
`boolean` | `parseRequest(InputStream input, OutputStream output, boolean keptAlive)`
`void` | `postProcess()`
`void` | `postProcess(AbstractSelectableChannel channel)`
`void` | `postProcess(InputStream input, OutputStream output)`
`void` | `postResponse()`
`void` | `preProcess()`
`void` | `preProcess(AbstractSelectableChannel channel)`
`void` | `preProcess(InputStream input, OutputStream output)`
`boolean` | `process(AbstractSelectableChannel channel)` The Default ReadTask will invoke that method.
`boolean` | `process(InputStream input, OutputStream output)`
`void` | `setBufferSize(int requestBufferSize)`
`void` | `setDropConnection(boolean dropConnection)`
`void` | `setHandler(Handler handler)`
`void` | `setMaxHttpHeaderSize(int maxHttpHeaderSize)`
`void` | `setMaxPostSize(int mps)`
`void` | `setSocket(Socket socket)`
`void` | `setTimeout(int timeouts)`
`void` | `taskEvent(TaskEvent event)`
`void` | `terminateProcess()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyProcessorTask

    public JettyProcessorTask()

Method Detail

### initialize

    public void initialize()

### process

    public boolean process(InputStream input,
                           OutputStream output)
                    throws Exception

  Throws:
    `Exception`

### isKeepAlive

    public boolean isKeepAlive()

### isError

    public boolean isError()

### doTask

    public void doTask()
                throws IOException

  Throws:
    `IOException`

### taskEvent

    public void taskEvent(TaskEvent event)

### process

    public boolean process(AbstractSelectableChannel channel)
                    throws Exception

  The Default ReadTask will invoke that method.

  Throws:
    `Exception`

### getBufferSize

    public int getBufferSize()

### getDropConnection

    public boolean getDropConnection()

### getMaxPostSize

    public int getMaxPostSize()

### invokeAdapter

    public void invokeAdapter()

### setBufferSize

    public void setBufferSize(int requestBufferSize)

### setDropConnection

    public void setDropConnection(boolean dropConnection)

### setHandler

    public void setHandler(Handler handler)

### getHandler

    public Handler getHandler()

### setMaxHttpHeaderSize

    public void setMaxHttpHeaderSize(int maxHttpHeaderSize)

### setMaxPostSize

    public void setMaxPostSize(int mps)

### setSocket

    public void setSocket(Socket socket)

### setTimeout

    public void setTimeout(int timeouts)

### terminateProcess

    public void terminateProcess()

### getRequestURI

    public String getRequestURI()

### getWorkerThreadID

    public long getWorkerThreadID()

### parseRequest

    public void parseRequest()
                      throws Exception

  Throws:
    `Exception`

### parseRequest

    public boolean parseRequest(InputStream input,
                                OutputStream output,
                                boolean keptAlive)
                         throws Exception

  Throws:
    `Exception`

### postProcess

    public void postProcess()
                     throws Exception

  Throws:
    `Exception`

### postProcess

    public void postProcess(InputStream input,
                            OutputStream output)
                     throws Exception

  Throws:
    `Exception`

### postResponse

    public void postResponse()
                      throws Exception

  Throws:
    `Exception`

### preProcess

    public void preProcess()
                    throws Exception

  Throws:
    `Exception`

### preProcess

    public void preProcess(InputStream input,
                           OutputStream output)
                    throws Exception

  Throws:
    `Exception`

### parseRequest

    public boolean parseRequest(AbstractSelectableChannel channel,
                                boolean keptAlive)
                         throws Exception

  Throws:
    `Exception`

### postProcess

    public void postProcess(AbstractSelectableChannel channel)
                     throws Exception

  Throws:
    `Exception`

### preProcess

    public void preProcess(AbstractSelectableChannel channel)
                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.